> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get consolidations for Validators.

> This endpoint returns information about validator consolidations. Use this endpoint to retrieve consolidations information for a source or target validator.



## OpenAPI

````yaml get /v1/eth/validators/consolidations
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/validators/consolidations:
    get:
      tags:
        - Metadata
      summary: Get consolidations for Validators.
      description: >-
        This endpoint returns information about validator consolidations. Use
        this endpoint to retrieve consolidations information for a source or
        target validator.
      operationId: get_validator_consolidations_v1_eth_validators_consolidations_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
        - name: consolidation_epoch
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Consolidation Epoch
        - name: source_validator_index
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Source Validator Index
        - name: source_entity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source Entity
        - name: target_validator_index
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Target Validator Index
        - name: target_entity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Target Entity
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__35
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__35:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              date:
                type: string
                format: date
                title: Date
              consolidationEpoch:
                type: integer
                minimum: 0
                title: Consolidationepoch
              sourceValidatorIndex:
                type: integer
                minimum: 0
                title: Sourcevalidatorindex
              sourceEntity:
                type: string
                title: Sourceentity
              sourceEntityType:
                type: string
                title: Sourceentitytype
              targetValidatorIndex:
                type: integer
                minimum: 0
                title: Targetvalidatorindex
              targetEntity:
                type: string
                title: Targetentity
              targetEntityType:
                type: string
                title: Targetentitytype
              consolidatedAmount:
                type: integer
                minimum: 0
                title: Consolidatedamount
              targetBalanceBeforeConsolidation:
                type: integer
                minimum: 0
                title: Targetbalancebeforeconsolidation
              targetBalanceAtConsolidationEpoch:
                type: integer
                minimum: 0
                title: Targetbalanceatconsolidationepoch
              targetEffectiveBalanceAtConsolidationEpoch:
                type: integer
                minimum: 0
                title: Targeteffectivebalanceatconsolidationepoch
            type: object
            required:
              - date
              - consolidationEpoch
              - sourceValidatorIndex
              - sourceEntity
              - sourceEntityType
              - targetValidatorIndex
              - targetEntity
              - targetEntityType
              - consolidatedAmount
              - targetBalanceBeforeConsolidation
              - targetBalanceAtConsolidationEpoch
              - targetEffectiveBalanceAtConsolidationEpoch
            title: ValidatorConsolidations
            examples:
              - consolidatedAmount: 32000000000
                date: '2025-05-07'
                sourceEntity: Node Operator
                sourceEntityType: nodeOperator
                sourceValidatorIndex: 500000
                targetBalanceAtConsolidationEpoch: 64000000000
                targetBalanceBeforeConsolidationEpoch: 32000000000
                targetEffectiveBalanceAtConsolidationEpoch: 64000000000
                targetEntity: Node Operator
                targetEntityType: nodeOperator
                targetValidatorIndex: 500002
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1ValidatorConsolidations
      examples:
        - next: >-
            https://api.rated.network//v1/eth/validators/consolidations?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/eth/validators/consolidations?limit=10&offset=10
          results:
            - - consolidatedAmount: 32000000000
                date: '2025-05-07'
                sourceEntity: Node Operator
                sourceEntityType: nodeOperator
                sourceValidatorIndex: 500000
                targetBalanceAtConsolidationEpoch: 64000000000
                targetBalanceBeforeConsolidationEpoch: 32000000000
                targetEffectiveBalanceAtConsolidationEpoch: 64000000000
                targetEntity: Node Operator
                targetEntityType: nodeOperator
                targetValidatorIndex: 500002
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````